Bug 731694

Summary: Wrong tag name generated by make tag
Product: [Community] Beaker Reporter: Richard Marko <rmarko>
Component: command lineAssignee: Nick Coghlan <ncoghlan>
Status: CLOSED INSUFFICIENT_DATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 0.7CC: bpeck, dcallagh, jberan, mcsontos, mishin, rmancy, rmarko, stl
Target Milestone: future_maint   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: MC
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-07 07:24:08 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Richard Marko 2011-08-18 11:30:16 UTC
Description of problem:
When using make tag in checked out cvs repository which is contained under git repository (lower in the tree, not related to cvs) rhts-mk-get-test-package-name returns wrong package name.


Version-Release number of selected component (if applicable):
rhts-devel-4.38-1.fc14.noarch


How reproducible:
Always


Steps to Reproduce:
1. cd
2. git clone <repo> .
3. mkdir cvs_repos; cd cvs_repos
3. checkout CVS repository; cd to repository
4. /usr/libexec/rhts/rhts-mk-get-test-package-name
  
Actual results:
name of the git repository returned

Expected results:
name of the cvs repository returned


Additional info:
Would be nice to have this fixed not to confuse another user.

Comment 1 Bill Peck 2011-08-30 18:03:10 UTC
Dan,Ray,

Would this be solved by changing the order in rhts-mk-get-current-tag ?

Put git in the beginning and then cvs and svn after?

Comment 2 Marian Csontos 2011-08-30 18:39:06 UTC
I am sceptical it is possible to solve that way as other people will complain it's broken if we just change the order.

Shall we try to obtain tag from all possible sources, find maximum and increase by one? Not very nice solution but IMO the only good one.

Shall we also tag in all supported VCS`s if present?

Alternatively it should be possible to pick (and remember) preferred VCS.

Comment 3 Nick Coghlan 2012-10-17 04:39:39 UTC
Bulk reassignment of issues as Bill has moved to another team.

Comment 4 Dan Callaghan 2012-10-24 03:34:26 UTC
I don't think this is much of an issue anymore since nobody is using CVS for their tests...

Comment 5 Min Shin 2012-11-07 07:24:08 UTC
This bugs is closed as it is either not in the current Beaker scope or we could not find sufficient data in the bug report for consideration.
Please feel free to reopen the bug with additional information and/or business cases behind it.